/**
 * ProbabilityDistributionType.java
 *
 * File generated from the medication::ProbabilityDistributionType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ProbabilityDistributionType.
 *
 * 
 */

@XmlType(name = "ProbabilityDistributionType")
@XmlEnum
@XmlRootElement(name = "ProbabilityDistributionType")
public enum ProbabilityDistributionType {
	@XmlEnumValue("B")
	B("B"),
	@XmlEnumValue("E")
	E("E"),
	@XmlEnumValue("F")
	F("F"),
	@XmlEnumValue("G")
	G("G"),
	@XmlEnumValue("LN")
	LN("LN"),
	@XmlEnumValue("N")
	N("N"),
	@XmlEnumValue("T")
	T("T"),
	@XmlEnumValue("U")
	U("U"),
	@XmlEnumValue("X2")
	X2("X2");
	
	private final String value;

    ProbabilityDistributionType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ProbabilityDistributionType fromValue(String v) {
        for (ProbabilityDistributionType c: ProbabilityDistributionType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}